[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TThread.ExternalThread

Is the thread instance an external thread ?

## Declaration

Source position: classesh.inc line 1831

`public property TThread.ExternalThread : Boolean read FExternalThread;`

## Description

ExternalThread returns True if the thread is an externally created thread. If the thread was created by the FPC program, this returns False. This is useful for examining instances returned by TThread.CurrentThread.

## See also

TThread.CurrentThread |  | Return current thread instance